cURL
curl --request POST \
--url https://app-api.aide.app/v1/agents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"instructions": "<string>",
"greeting": "<string>",
"botIdentifier": "<string>",
"teamName": "<string>",
"signature": "<string>",
"contactInformation": "<string>",
"knowledgeSetNames": [
"<string>"
],
"suggestedActions": [
{
"shortcut": "<string>",
"question": "<string>"
}
],
"collectedFields": [
{
"fieldId": "<string>"
}
]
}
'import requests
url = "https://app-api.aide.app/v1/agents"
payload = {
"name": "<string>",
"description": "<string>",
"instructions": "<string>",
"greeting": "<string>",
"botIdentifier": "<string>",
"teamName": "<string>",
"signature": "<string>",
"contactInformation": "<string>",
"knowledgeSetNames": ["<string>"],
"suggestedActions": [
{
"shortcut": "<string>",
"question": "<string>"
}
],
"collectedFields": [{ "fieldId": "<string>" }]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
instructions: '<string>',
greeting: '<string>',
botIdentifier: '<string>',
teamName: '<string>',
signature: '<string>',
contactInformation: '<string>',
knowledgeSetNames: ['<string>'],
suggestedActions: [{shortcut: '<string>', question: '<string>'}],
collectedFields: [{fieldId: '<string>'}]
})
};
fetch('https://app-api.aide.app/v1/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app-api.aide.app/v1/agents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'description' => '<string>',
'instructions' => '<string>',
'greeting' => '<string>',
'botIdentifier' => '<string>',
'teamName' => '<string>',
'signature' => '<string>',
'contactInformation' => '<string>',
'knowledgeSetNames' => [
'<string>'
],
'suggestedActions' => [
[
'shortcut' => '<string>',
'question' => '<string>'
]
],
'collectedFields' => [
[
'fieldId' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app-api.aide.app/v1/agents"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"instructions\": \"<string>\",\n \"greeting\": \"<string>\",\n \"botIdentifier\": \"<string>\",\n \"teamName\": \"<string>\",\n \"signature\": \"<string>\",\n \"contactInformation\": \"<string>\",\n \"knowledgeSetNames\": [\n \"<string>\"\n ],\n \"suggestedActions\": [\n {\n \"shortcut\": \"<string>\",\n \"question\": \"<string>\"\n }\n ],\n \"collectedFields\": [\n {\n \"fieldId\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app-api.aide.app/v1/agents")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"instructions\": \"<string>\",\n \"greeting\": \"<string>\",\n \"botIdentifier\": \"<string>\",\n \"teamName\": \"<string>\",\n \"signature\": \"<string>\",\n \"contactInformation\": \"<string>\",\n \"knowledgeSetNames\": [\n \"<string>\"\n ],\n \"suggestedActions\": [\n {\n \"shortcut\": \"<string>\",\n \"question\": \"<string>\"\n }\n ],\n \"collectedFields\": [\n {\n \"fieldId\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app-api.aide.app/v1/agents")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"instructions\": \"<string>\",\n \"greeting\": \"<string>\",\n \"botIdentifier\": \"<string>\",\n \"teamName\": \"<string>\",\n \"signature\": \"<string>\",\n \"contactInformation\": \"<string>\",\n \"knowledgeSetNames\": [\n \"<string>\"\n ],\n \"suggestedActions\": [\n {\n \"shortcut\": \"<string>\",\n \"question\": \"<string>\"\n }\n ],\n \"collectedFields\": [\n {\n \"fieldId\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"object": "agent",
"name": "<string>",
"createdAt": "<string>",
"id": "<string>",
"status": "deployed",
"updatedAt": "<string>",
"signature": "<string>",
"description": "<string>",
"model": "fast",
"autoReply": true,
"knowledgeSetNames": [
"<string>"
],
"usePastTickets": true,
"teamName": "<string>",
"suggestedActions": [
{
"question": "<string>",
"shortcut": "<string>"
}
],
"collectedFields": [
{
"required": true,
"key": "<string>",
"mode": "always_ask",
"type": "boolean",
"fieldId": "<string>",
"label": "<string>"
}
],
"instructions": "<string>",
"chatWidget": true,
"greeting": "<string>",
"botIdentifier": "<string>",
"contactInformation": "<string>"
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}Agent
Post v1agents
POST
/
v1
/
agents
cURL
curl --request POST \
--url https://app-api.aide.app/v1/agents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"instructions": "<string>",
"greeting": "<string>",
"botIdentifier": "<string>",
"teamName": "<string>",
"signature": "<string>",
"contactInformation": "<string>",
"knowledgeSetNames": [
"<string>"
],
"suggestedActions": [
{
"shortcut": "<string>",
"question": "<string>"
}
],
"collectedFields": [
{
"fieldId": "<string>"
}
]
}
'import requests
url = "https://app-api.aide.app/v1/agents"
payload = {
"name": "<string>",
"description": "<string>",
"instructions": "<string>",
"greeting": "<string>",
"botIdentifier": "<string>",
"teamName": "<string>",
"signature": "<string>",
"contactInformation": "<string>",
"knowledgeSetNames": ["<string>"],
"suggestedActions": [
{
"shortcut": "<string>",
"question": "<string>"
}
],
"collectedFields": [{ "fieldId": "<string>" }]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
instructions: '<string>',
greeting: '<string>',
botIdentifier: '<string>',
teamName: '<string>',
signature: '<string>',
contactInformation: '<string>',
knowledgeSetNames: ['<string>'],
suggestedActions: [{shortcut: '<string>', question: '<string>'}],
collectedFields: [{fieldId: '<string>'}]
})
};
fetch('https://app-api.aide.app/v1/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app-api.aide.app/v1/agents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'description' => '<string>',
'instructions' => '<string>',
'greeting' => '<string>',
'botIdentifier' => '<string>',
'teamName' => '<string>',
'signature' => '<string>',
'contactInformation' => '<string>',
'knowledgeSetNames' => [
'<string>'
],
'suggestedActions' => [
[
'shortcut' => '<string>',
'question' => '<string>'
]
],
'collectedFields' => [
[
'fieldId' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app-api.aide.app/v1/agents"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"instructions\": \"<string>\",\n \"greeting\": \"<string>\",\n \"botIdentifier\": \"<string>\",\n \"teamName\": \"<string>\",\n \"signature\": \"<string>\",\n \"contactInformation\": \"<string>\",\n \"knowledgeSetNames\": [\n \"<string>\"\n ],\n \"suggestedActions\": [\n {\n \"shortcut\": \"<string>\",\n \"question\": \"<string>\"\n }\n ],\n \"collectedFields\": [\n {\n \"fieldId\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app-api.aide.app/v1/agents")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"instructions\": \"<string>\",\n \"greeting\": \"<string>\",\n \"botIdentifier\": \"<string>\",\n \"teamName\": \"<string>\",\n \"signature\": \"<string>\",\n \"contactInformation\": \"<string>\",\n \"knowledgeSetNames\": [\n \"<string>\"\n ],\n \"suggestedActions\": [\n {\n \"shortcut\": \"<string>\",\n \"question\": \"<string>\"\n }\n ],\n \"collectedFields\": [\n {\n \"fieldId\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app-api.aide.app/v1/agents")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"instructions\": \"<string>\",\n \"greeting\": \"<string>\",\n \"botIdentifier\": \"<string>\",\n \"teamName\": \"<string>\",\n \"signature\": \"<string>\",\n \"contactInformation\": \"<string>\",\n \"knowledgeSetNames\": [\n \"<string>\"\n ],\n \"suggestedActions\": [\n {\n \"shortcut\": \"<string>\",\n \"question\": \"<string>\"\n }\n ],\n \"collectedFields\": [\n {\n \"fieldId\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"object": "agent",
"name": "<string>",
"createdAt": "<string>",
"id": "<string>",
"status": "deployed",
"updatedAt": "<string>",
"signature": "<string>",
"description": "<string>",
"model": "fast",
"autoReply": true,
"knowledgeSetNames": [
"<string>"
],
"usePastTickets": true,
"teamName": "<string>",
"suggestedActions": [
{
"question": "<string>",
"shortcut": "<string>"
}
],
"collectedFields": [
{
"required": true,
"key": "<string>",
"mode": "always_ask",
"type": "boolean",
"fieldId": "<string>",
"label": "<string>"
}
],
"instructions": "<string>",
"chatWidget": true,
"greeting": "<string>",
"botIdentifier": "<string>",
"contactInformation": "<string>"
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}Authorizations
An access token, bound to one account.
Body
application/json
Required string length:
1 - 120Maximum string length:
500Maximum string length:
20000Maximum string length:
2000Maximum string length:
60Maximum string length:
120Maximum string length:
2000Maximum string length:
2000Available options:
1, 1, true, true, on, 0, 0, false, false Available options:
1, 1, true, true, on, 0, 0, false, false Available options:
fast, standard Maximum array length:
50Required string length:
1 - 120Maximum array length:
10Show child attributes
Show child attributes
Maximum array length:
50Show child attributes
Show child attributes
Response
Created
Show child attributes
Show child attributes